Subject: Help with org-drill maintenance?
From: "Craig Jennings" <[email-masked]>
To: "Phillip Lord" <[email-masked]>
Date: Wed, 29 Apr 2026 09:21:49 +0000

Hi Phillip,

I've been using org-drill daily for several years, mostly for language and concept review. It's been a quiet, reliable part of my workflow. Thanks for the work that went into building and maintaining it.

I've been carrying a small fork at github.com/cjennings/org-drill with a handful of fixes: timestamp parsing edge cases, a window-corruption fix in merge-buffers, a customizable lapse threshold. Recently I noticed several open MRs sitting on the upstream. Some are Org 9.6 timestamp-format compatibility patches from late 2024. One is a display-buffer calling-convention fix from this March. Each looks like a one-line keeper.

If you'd rather not spend bandwidth on org-drill these days, I'd be glad to help. A few options, in order of how much you'd want to delegate:

1. Push rights on phillord/org-drill so I can review and merge the queued MRs.
2. A formal hand-over of maintainership, with credit and contributor history preserved. I've done this before and know you have as well. I already maintain a few Emacs packages, including emacs-wttrin. 
3. No formal change. I'd consolidate the queued MRs into a clean batch against your current master, and you'd just need to skim and merge.

Any of those works. If none fit, no worries. I'll keep my fork up to date and contribute back when I can.

Best,
Craig